//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// module       : game -- HEADER
// created (by) : Christian Behrenberg, 2007-10-10
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// PROTOTYPE HIERARCHY
//--------------------------------------------------------------------

	void game();
	void game_init();
		void game_init_variables();
	void game_start();

	void game_watchPoints();
	void game_watchLifes();

//--------------------------------------------------------------------
// DEFINES & VARIABLES
//--------------------------------------------------------------------

	var lifes;
		var lifes_resetNr = 5;

	var points;
		var points_toAdd;

		// Point table
			#define POINTS_SLEDGE	5
			
	var volMusic;
	var volSfx;
	var detail;
	
		#define DETAIL_LOW		0
		#define DETAIL_MEDIUM	1
		#define DETAIL_HIGH		2
		
	#define entID skill80