//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// module       : hud -- HEADER
// created (by) : Christian Behrenberg, 2007-11-01
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// prototypes
//--------------------------------------------------------------------

	void hud_main();
	void hud_init();
	void hud_hide();
	void hud_show();
	void hud_refresh();

//--------------------------------------------------------------------
// RESSOURCES
//--------------------------------------------------------------------

	FONT* hud_fntNr;
	
	PANEL* hud_heart;
	PANEL* hud_lifes;

//--------------------------------------------------------------------
// LAYOUT
//--------------------------------------------------------------------

	VECTOR* hud_heart_pos	= {x = 846;	y = 603;	z = 0;}
	VECTOR* hud_lifes_pos	= {x = 15;	y = 552;	z = 0;}