//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// module       : splashscreens -- HEADER
// created (by) : Christian Behrenberg, 2007-11-03
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// PROTOTYPE HIERARCHY
//--------------------------------------------------------------------

	void splash_show();
		void splash_init();
		void splash_free();
	
//--------------------------------------------------------------------
// DEFINES
//--------------------------------------------------------------------

	// Splashscreens

		#define SPLASH_SCREENS_CNT	3				// Splashscreen count
		var SPLASH_SCREEN_TIME [] = {4, 5, 6};	// Intervals
		
	// Splashvideo
		char* SPLASH_VIDEO_FILE = "media\\splashRudi.wmv";	// Path
		var SPLASH_VIDEO_SIZE [] = {640, 480};					// Size (width, height)

//--------------------------------------------------------------------
// variables
//--------------------------------------------------------------------

	PANEL* splashPanel;
		BMAP* splash_bmaps[SPLASH_SCREENS_CNT];
		BMAP* splash_video;

	var splash_ready;