//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// module       : debug module -- HEADER
// created (by) : Christian Behrenberg, 2007-10-10
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// PROTOTYPE HIERARCHY
//--------------------------------------------------------------------

	void deb_init();
	void deb_clearList();
	void deb_convoluteList (TEXT* text, int direction);
	void deb_print (char* txt);
		void deb_print (STRING* str);
		void deb_print (int val);
		void deb_print (var val);
		void deb_print (float val);
		void deb_print (double val);
	void deb_log (char* txt);

//--------------------------------------------------------------------
// DEFINES
//--------------------------------------------------------------------

	STRING* deb_str = "#128";
	FONT* deb_fnt = 0;
	TEXT* deb_txtList = 0;

//--------------------------------------------------------------------
// DYNAMIC STARTUP
//--------------------------------------------------------------------

	void deb_h_startup () 
	{
		deb_init();
	}