//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// shader       : detail texture on model
// created (by) : Christian Behrenberg, 2007-11-17
//--------------------------------------------------------------------

texture entSkin1;
	texture entSkin2;

	technique t0
	{
		pass p0
		{
			Texture[0] = <entSkin1>;
			Texture[1] = <entSkin2>;
			
			colorarg1[0] = Texture;
			texcoordindex[0] = 0;

			colorarg1[1] = Texture;
			colorarg2[1] = current;
			colorop[1] = modulate;
			texcoordindex[1] = 0;
			texturetransformflags[1] = count2;

			texturetransform[1] = {

				15.0,0.0,0.0,0.0, // detail map u scale
				0.0,15.0,0.0,0.0, // detail map v scale
				0.0,0.0,0.0,0.0,
				0.0,0.0,0.0,0.0};

			magfilter[1]=linear;
			minfilter[1]=linear;
			mipfilter[1]=linear;
		}
	}