//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// module       : environment -- HEADER
// created (by) : Christian Behrenberg, 2007-11-12
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// PROTOTYPE HIERARCHY
//--------------------------------------------------------------------

	//SKY
		void env_skycubes_startup ();
		void env_loadSky (ENTITY* sky);
	
	//LANDSCAPE
		void env_ground ();
		void env_rock ();
	
	//ICE
		void env_iceberg ();
	
	//WATER
		void env_iceWater ();
		void env_waterDepth ();
	
		//WATER OBJECTS
			void env_iceFloe ();
	
	//PLANTS
		void env_weed ();
		void env_tree ();
			void env_treeColl ();
		void env_stump ();
			void env_stumpColl ();
	
	//TRIGGERS
		void env_snowMedium ();
		void env_sky_northpole ();
		void env_sndWind ();
		void env_sndWaterWind ();
		void env_sndWater ();
		void env_sndGulls ();
		
//--------------------------------------------------------------------
// VARIABLES
//--------------------------------------------------------------------

	ENTITY* sky_northpole;
	//int env_weed_count;
	
	/*e*/